onEvent('recipes', event => {
	event.remove({type:'minecraft:crafting_shaped', input:'minecraft:string', output:'#quark:quilted_wools'})

	event.remove({id:'goety:darkfabric'})
	event.remove({id:'goety:magicfabric'})
	event.remove({id:'goety:occultfabric'})
	
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:white_wool"}, "first_count": 1,
	"result": "quark:white_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:orange_wool"}, "first_count": 1,
	"result": "quark:orange_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:magenta_wool"}, "first_count": 1,
	"result": "quark:magenta_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:light_blue_wool"}, "first_count": 1,
	"result": "quark:light_blue_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:yellow_wool"}, "first_count": 1,
	"result": "quark:yellow_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:lime_wool"}, "first_count": 1,
	"result": "quark:lime_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:pink_wool"}, "first_count": 1,
	"result": "quark:pink_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:gray_wool"}, "first_count": 1,
	"result": "quark:gray_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:light_gray_wool"}, "first_count": 1,
	"result": "quark:light_gray_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:cyan_wool"}, "first_count": 1,
	"result": "quark:cyan_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:purple_wool"}, "first_count": 1,
	"result": "quark:purple_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:blue_wool"}, "first_count": 1,
	"result": "quark:blue_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:brown_wool"}, "first_count": 1,
	"result": "quark:brown_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:green_wool"}, "first_count": 1,
	"result": "quark:green_quilted_wool"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 1,
		"first": {"item": "minecraft:red_wool"}, "first_count": 1,
	"result": "quark:red_quilted_wool"})

	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 0,
		"first": {"item": "goety:lapis_string"}, "first_count": 4,
		"second": {"item": "minecraft:black_dye"}, "second_count": 1,
	"result": "goety:darkfabric"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 0,
		"first": {"item": "goety:lapis_string"}, "first_count": 4,
		"second": {"item": "minecraft:yellow_dye"}, "second_count": 1,
	"result": "goety:magicfabric"})
	event.custom({"type": "improvedbackpacks:sewing",
		"spools_count": 0,
		"first": {"item": "goety:lapis_string"}, "first_count": 4,
		"second": {"item": "minecraft:purple_dye"}, "second_count": 1,
	"result": "goety:occultfabric"})

})